import { _decorator, Component, Node } from 'cc';
import { GUIMediator } from './GUIMediator';
const { ccclass, property } = _decorator;


export class BaseView{
    
    protected __mediator:GUIMediator;
    
    constructor(mediator:GUIMediator){
        this.__mediator=mediator;
    }

    OnShow():void{

    }

    onHide():void{

    }

    OnDestory():void{

    }
}
